# Interface methods for submodule: RelabelLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: RelabelLabelMapFilter
class RelabelLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetReverseOrdering(self, _arg: bool) -> None:
		""""""
		...

	def GetReverseOrdering(self) -> bool:
		""""""
		...

	def ReverseOrderingOn(self) -> None:
		""""""
		...

	def ReverseOrderingOff(self) -> None:
		""""""
		...

